# OpenLayers.Format.GPX

Read/write GPX parser. Create a new instance with the OpenLayers.Format.GPX constructor.

#### Inherits from

- OpenLayers.Format.XML

Summary

OpenLayers.Format.GPX | Read/write GPX parser.
Properties |
extractWaypoints | {Boolean} Extract waypoints from GPX.
extractTracks | {Boolean} Extract tracks from GPX.
extractRoutes | {Boolean} Extract routes from GPX.
extractAttributes | {Boolean} Extract feature attributes from GPX.
Constructor |
OpenLayers.Format.GPX | Create a new parser for GPX.
Functions |
read | Return a list of features from a GPX doc

### Properties

### extractWaypoints

{Boolean} Extract waypoints from GPX. (default: true)

### extractTracks

{Boolean} Extract tracks from GPX. (default: true)

### extractRoutes

{Boolean} Extract routes from GPX. (default: true)

### extractAttributes

{Boolean} Extract feature attributes from GPX. (default: true) NOTE: Attributes as part of extensions to the GPX standard may not be extracted.

### Constructor

### OpenLayers.Format.GPX

Create a new parser for GPX.

#### Parameters

options | {Object} An optional object whose properties will be set on this instance.

### Functions

### read

> read: function( | doc | )

Return a list of features from a GPX doc

#### Parameters

doc | {Element}

#### Returns

An Array of OpenLayers.Feature.Vectors

> read: function( | doc | )

Return a list of features from a GPX doc
Create a new parser for GPX.
Read and write XML.
Vector features use the OpenLayers.Geometry classes as geometry description.
Close